<template>
  <div class="rating-left">
    <div v-if="rating.hasTop" class="rating-left-header">
      <div class="rating-left-header__nimbus top10">
        <div class="grin-nimbus">
          <SvgIcon/>
        </div>
        <span>{{rating.placeNumber}}</span>
      </div>
      <div>{{rating.placeNumber ? 'Вы в десятке лучших в системе!' : 'Вы где-то на дне'}}</div>
    </div>
    <div class="rating-left-mark">
      <div class="rating-left-mark__point">
        <span>Ваш рейтинг</span>
        <div v-if="rating.status" class="rating-left-mark__rating">
          <span
              class="ball"
              :class="['green']"
          >
            {{rating.point}}
          </span>
          <div class="rating-down">
            <i class="icon sort-single" />
          </div>
        </div>
        <div v-else class="rating-left-mark__no-rating"></div>
        <p :class="[rating.status ? 'green' : 'grey']">
          {{rating.status ? 'Отлично' : 'Не присвоен'}}
        </p>
      </div>
      <div class="rating-left-mark__point">
        <span>Уровень риска</span>
        <div class="rating-left-mark__risk" v-if="true">
          <i class="icon level-risk" :class="rating.riskColor"/>
          <div class="rating-up">
            <i class="icon sort-single" />
          </div>
        </div>
        <div v-else class="rating-left-mark__risk">
          <i class="icon clock" :class="[rating.status ? '' : 'grey']"/>
        </div>
      </div>
    </div>
    <div class="rating-left-graphic">
      <p>Изменение рейтинга</p>
      <div>
        Здесь будет график
      </div>
    </div>
  </div>
</template>

<script>
  import SvgIcon from './svgIcon'
  export default {
    name: "leftPanel",
    components: {
      SvgIcon
    },
    data() {
      return {
        rating: {
          hasTop: true,
          placeNumber: 7,
          point: 5.44,
          risk: 3,
          riskColor: 'risk-3-yellow',
          status: true
        }
      }
    }
  }
</script>

<style scoped lang="scss">
  .rating-left {
    background: $background-white;
    border: 1px solid $lavender;
    box-sizing: border-box;
    border-radius: 3px;
    min-width: 307px;
    height: 100%;
    margin-right: 21px;
    &-header {
      background: $blue-blue-hoarfrost;
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 0px 22px 0px 13px;
      font-size: 12px;
      &__nimbus {
        color: $green-craiola;
        &.top10{
          width: 60px;
          display: flex;
          align-items: center;
          justify-content: center;
          height: 60px;
          margin-right: 18px;
          font-size: 18px;
          position: relative;
          .grin-nimbus{
            position: absolute;
            top: 0;
            left: 0;
            svg{
              width: 100%;
            }
          }
        }
      }
    }
    &-mark {
      padding: 18px 12px 21px;
      display: flex;
      justify-content: space-between;
      align-items: flex-start;
      .green {
        color: $color-green-light !important;
      }
      .grey {
        color: $color-grey-span !important;
      }
      &__point {
        color: $color-text-base;
        display: flex;
        flex-flow: column;
        justify-content: space-between;
        span {
          font-size: 12px;
          line-height: 12px;
          letter-spacing: 0.4px;
          mix-blend-mode: normal;
        }
        p {
          font-size: 16px;
          line-height: 20px;
          letter-spacing: 0.2px;
        }
        .ball {
          font-weight: bold;
          font-size: 64px;
          line-height: 36px;
          letter-spacing: 0.2px;
        }
      }
      .rating-down {
        font-size: 24px;
        color: $color-error;
      }
      .rating-up {
        font-size: 24px;
        color: $diamond-orange-yellow;
        transform: rotate(180deg) translateX(0);
      }
      &__rating {
        padding: 30px 0 20px;
        display: flex;
        align-items: center;
      }
      &__no-rating {
        background: $color-grey-span;
        width: 50px;
        height: 10px;
        margin: 28px 2px;
      }
      &__risk {
        display: flex;
        align-items: center;
        justify-content: center;
        margin-top: 24px;
        .level-risk {
          font-size: 30px;
        }
        .clock {

        }
      }
    }
    &-graphic {
      font-size: 12px;
      line-height: 12px;
      letter-spacing: 0.4px;
      p {
        padding: 0 12px 14px;
      }
      div {
        margin: 20px;
        text-align: center;
        color: red;
      }
    }
  }
</style>
